std::ostream_iterator(3)

NAME
std::ostream_iterator -

SYNOPSIS

Inherits iterator< std::output_iterator_tag, void, void, void, void >.

Detailed Description

  template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>> class std::ostream_iterator< _Tp, _CharT, _Traits >
This class provides an iterator to write to an ostream. The type Tp is the only type written by this iterator and there must be an operator<<(Tp) defined.

Parameters:
    Tp The type to write to the ostream.
    CharT The ostream char_type.
    Traits The ostream char_traits.

Definition at line 152 of file stream_iterator.h.

  Public Types
typedef _Distance difference_type
typedef _Category iterator_category
typedef _Pointer pointer
typedef _Reference reference
typedef _Tp value_type

typedef _CharT char_type
typedef basic_ostream< _CharT, _Traits > ostream_type
typedef _Traits traits_type

  Public Member Functions
ostream_iterator & operator * ()
ostream_iterator & operator++ (int)
ostream_iterator & operator++ ()
ostream_iterator & operator= (const _Tp &__value)
ostream_iterator (const ostream_iterator &__obj)
ostream_iterator (ostream_type &__s, const _CharT *__c)
ostream_iterator (ostream_type &__s)

Member Typedef Documentation

  typedef _CharT char_type

Public typedef.

Definition at line 158 of file stream_iterator.h.

  typedef _Distance difference_type [inherited]

Distance between iterators is represented as this type.

Reimplemented in reverse_iterator.

Definition at line 113 of file stl_iterator_base_types.h.

  typedef _Category iterator_category [inherited]

One of the tag types.

Definition at line 109 of file stl_iterator_base_types.h.

  typedef basic_ostream<_CharT, _Traits> ostream_type

Public typedef.

Definition at line 160 of file stream_iterator.h.

  typedef _Pointer pointer [inherited]

This type represents a pointer-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 115 of file stl_iterator_base_types.h.

  typedef _Reference reference [inherited]

This type represents a reference-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 117 of file stl_iterator_base_types.h.

  typedef _Traits traits_type

Public typedef.

Definition at line 159 of file stream_iterator.h.

  typedef _Tp value_type [inherited]

The type 'pointed to' by the iterator.

Reimplemented in sequence_buffer.

Definition at line 111 of file stl_iterator_base_types.h.

Constructor & Destructor Documentation

  ostream_iterator (ostream_type & __s) [inline]

Construct from an ostream.

Definition at line 169 of file stream_iterator.h.

  ostream_iterator (ostream_type & __s, const _CharT * __c) [inline]

Construct from an ostream.

The delimiter string c is written to the stream after every Tp written to the stream. The delimiter is not copied, and thus must not be destroyed while this iterator is in use.

Parameters:
    s Underlying ostream to write to.
    c CharT delimiter string to insert.

Definition at line 181 of file stream_iterator.h.

  ostream_iterator (const ostream_iterator< _Tp, _CharT, _Traits > & __obj) [inline]

Copy constructor.

Definition at line 185 of file stream_iterator.h.

Member Function Documentation

  ostream_iterator& operator= (const _Tp & __value) [inline]

constructed with delimiter string, writes delimiter to ostream.

Definition at line 191 of file stream_iterator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.